Mod_lsapi PRO updated

Feb 3, 2020 7:34:34 PM / by Inessa Atmachian

 

mod_lsapi

New updated mod_lsapi PRO packages for CloudLinux 6 and 7 as well as for Apache 2.4 (CloudLinux 6 and CloudLinux 7) and EasyApache 4 (CloudLinux 6 and 7) are now available for download from our production repository.

Changelog:

liblsapi-1.1-48

mod_lsapi-1.1-48

ea-apache24-mod_lsapi-1.1-48

httpd24-mod_lsapi-1.1-48

  • MODLS-725: race condition on REJECT detected to proper error message
  • MODLS-727: remove /var/cpanel/conf/apache/main usage as it was removed in cPanel
  • add alt-php74 support
  • MODLS-723: proper request body length for 2G+ files
  • MODLS-722: add clean shutdown support for LSAPI 7.6
  • MODLS-708: add da_mod_lsapi installation into the da_cb_install script

Installation

To install mod_lsapi PRO, follow our documentation for the instructions here.

Update from beta

EasyApache 4:

# yum update liblsapi liblsapi-devel ea-apache24-mod_lsapi
# service httpd restart

EasyApache 3 (note EA3 EoL), Plesk, and no control panel RPM-based platforms:

# yum update mod_lsapi liblsapi liblsapi-devel
# service httpd restart

DirectAdmin:

# cd /usr/local/directadmin/custombuild
# ./build update
# ./build mod_lsapi

httpd24:

# yum update httpd24-mod_lsapi liblsapi liblsapi-devel

 

 

Topics: PRO, mod lsapi, Technical Blog

Inessa Atmachian

Written by Inessa Atmachian

Inessa Atmachian is a Technical Writer. She is responsible for developing technical product documentation for CloudLinux OS, KernelCare, and Imunify360 products. She provides customers with release notes and information on product updates.

    Subscribe to Email Updates

    Recent Posts